=== modified file 'src/maasserver/static/js/angular/directives/dbl_click_overlay.js'
--- src/maasserver/static/js/angular/directives/dbl_click_overlay.js	2015-04-09 18:12:54 +0000
+++ src/maasserver/static/js/angular/directives/dbl_click_overlay.js	2016-02-12 14:11:47 +0000
@@ -79,7 +79,7 @@
                 } else if(transclude.tagName === "INPUT") {
                     clickElement = function() {
                         // An input will become in focus when clicked.
-                        angular.element(transclude).focus();
+                        angular.element(transclude).triggerHandler('focus');
                     };
 
                     // Inputs use a text for the cursor.
@@ -87,7 +87,7 @@
                 } else {
                     clickElement = function() {
                         // Standard element just call click on that element.
-                        angular.element(transclude).click();
+                        angular.element(transclude).triggerHandler('click');
                     };
 
                     // Don't set cursor on other element types.

=== modified file 'src/maasserver/static/js/angular/directives/tests/test_contenteditable.js'
--- src/maasserver/static/js/angular/directives/tests/test_contenteditable.js	2015-03-26 20:44:42 +0000
+++ src/maasserver/static/js/angular/directives/tests/test_contenteditable.js	2016-02-12 14:11:47 +0000
@@ -44,7 +44,7 @@
         $scope.name = makeName("name");
         var directive = compileDirective("name");
         directive.text(name);
-        directive.change();
+        directive.triggerHandler('change');
         $scope.$digest();
         expect($scope.name).toBe(name);
     });
@@ -54,7 +54,7 @@
         $scope.name = makeName("name");
         var directive = compileDirective("name");
         directive.text(name);
-        directive.blur();
+        directive.triggerHandler('blur');
         $scope.$digest();
         expect($scope.name).toBe(name);
     });
@@ -75,7 +75,7 @@
             return true;
         };
         var directive = compileDirective("name", "disabled()");
-        directive.focus();
+        directive.triggerHandler('focus');
         $scope.$digest();
         expect(directive.is(":focus")).toBe(false);
     });
@@ -87,7 +87,7 @@
         };
         $scope.nowEditing = jasmine.createSpy("nowEditing");
         var directive = compileDirective("name", "disabled()", "nowEditing()");
-        directive.focus();
+        directive.triggerHandler('focus');
         $scope.$digest();
         expect($scope.nowEditing).toHaveBeenCalled();
     });

=== modified file 'src/maasserver/static/js/angular/directives/tests/test_dbl_click_overlay.js'
--- src/maasserver/static/js/angular/directives/tests/test_dbl_click_overlay.js	2015-04-09 18:02:51 +0000
+++ src/maasserver/static/js/angular/directives/tests/test_dbl_click_overlay.js	2016-02-12 14:11:47 +0000
@@ -84,7 +84,7 @@
             done();
         });
         var overlay = directive.find('div.maas-dbl-overlay--overlay');
-        overlay.click();
+        overlay.triggerHandler('click');
     });
 
     it("sets focus on input when overlay clicked", function(done) {
@@ -95,7 +95,7 @@
             done();
         });
         var overlay = directive.find('div.maas-dbl-overlay--overlay');
-        overlay.click();
+        overlay.triggerHandler('click');
     });
 
     it("triggers click on div when overlay clicked", function(done) {
@@ -106,7 +106,7 @@
             done();
         });
         var overlay = directive.find('div.maas-dbl-overlay--overlay');
-        overlay.click();
+        overlay.triggerHandler('click');
     });
 
     it("calls double click handler when the overlay is double clicked",
@@ -117,7 +117,7 @@
             };
             var directive = compileDirective("div", "doubleClick()");
             var overlay = directive.find('div.maas-dbl-overlay--overlay');
-            overlay.dblclick();
+            overlay.triggerHandler('dblclick');
         });
 
     it("removes all click handlers on $destroy", function() {

